> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v1/apps/visualization

> Get the app and circuit visualization info for the device

## OpenAPI

````json POST /v1/apps/visualization
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v1/apps/visualization": {
      "post": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/v1AppsVisualizationPostRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v1AppsVisualizationPostResponse"
                }
              }
            }
          }
        },
        "description": "Get the app and circuit visualization info for the device"
      }
    }
  },
  "components": {
    "schemas": {
      "v1AppsVisualizationPostRequest": {
        "type": "object",
        "properties": {
          "circuitName": {
            "type": "string",
            "example": "example string",
            "description": "Circuit name is specified if circuit apps utilization data is desired."
          },
          "deviceId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "isDia": {
            "type": "boolean",
            "example": true
          },
          "slaClass": {
            "type": "string",
            "example": "ENUM_VALUE",
            "description": "SLA class is specified if queue apps utilization data is desired. Circuit name must be provided."
          },
          "timeWindow": {
            "$ref": "#/components/schemas/statsmonTimeWindow"
          }
        },
        "additionalProperties": false
      },
      "v1AppsVisualizationPostResponse": {
        "type": "object",
        "properties": {
          "appHealth": {
            "type": "object",
            "additionalProperties": {
              "type": "integer",
              "format": "int32",
              "example": 123,
              "minimum": 0
            }
          },
          "appsOnDeviceCount": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "appsVisualization": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/ipfixAppVisualization"
            }
          },
          "averageQoe": {
            "type": "number",
            "format": "double",
            "example": 123.45
          }
        },
        "additionalProperties": false
      },
      "statsmonTimeWindow": {
        "type": "object",
        "properties": {
          "bucketSizeSec": {
            "type": "integer",
            "format": "int32",
            "example": 300,
            "minimum": 0,
            "description": "the size of the time window in seconds (required)"
          },
          "oldTs": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "recentTs": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          }
        },
        "additionalProperties": false,
        "required": [
          "bucketSizeSec"
        ]
      },
      "ipfixAppVisualization": {
        "type": "object",
        "properties": {
          "appId": {
            "type": "integer",
            "format": "int32",
            "example": 123,
            "minimum": 0
          },
          "appName": {
            "type": "string",
            "example": "example string"
          },
          "circuitAvailability": {
            "type": "object",
            "additionalProperties": {
              "type": "integer",
              "format": "int32",
              "example": 123,
              "minimum": 0
            }
          },
          "circuitMap": {
            "type": "object",
            "additionalProperties": {
              "$ref": "#/components/schemas/ipfixCircuitMetrics"
            }
          },
          "currentStatus": {
            "type": "string",
            "example": "ENUM_VALUE",
            "description": "current status of the app."
          }
        },
        "additionalProperties": false
      },
      "googleProtobufTimestamp": {
        "type": "object",
        "properties": {
          "nanos": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "seconds": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      },
      "ipfixCircuitMetrics": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "example": "example string",
            "description": "circuit name"
          },
          "slaClass": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "stats": {
            "$ref": "#/components/schemas/ipfixTwampMetrics"
          },
          "usage": {
            "type": "number",
            "format": "double",
            "example": 123.45,
            "description": "usage of the circuit by the application in kilo bytes"
          },
          "usagePct": {
            "type": "number",
            "format": "float",
            "example": 12.34
          }
        },
        "additionalProperties": false
      },
      "ipfixTwampMetrics": {
        "type": "object",
        "properties": {
          "healthAvg": {
            "type": "string",
            "example": "ENUM_VALUE",
            "description": "calculated health average (over time window) "
          },
          "jitter": {
            "type": "number",
            "format": "double",
            "example": 123.45,
            "description": "Jitter in ms"
          },
          "latency": {
            "type": "number",
            "format": "double",
            "example": 123.45,
            "description": "Latency in  ms"
          },
          "loss": {
            "type": "number",
            "format": "float",
            "example": 12.34,
            "description": "Loss in percentage"
          },
          "mos": {
            "type": "number",
            "format": "float",
            "example": 12.34
          },
          "status": {
            "type": "string",
            "example": "ENUM_VALUE",
            "description": "calculated status (last measured value)"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

